# Don't provide plugin .so
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

# Fix Copr builds
%{!?_real_vendor:%global _real_vendor mageia}

%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api	2.0
%define major	4
%define libname	%mklibname xfce4panel %{api} %{major}
%define devname	%mklibname xfce4panel %{api} -d

%define gmajor	2.0
%define girname	%mklibname xfce4panel-gir %{gmajor}

Summary:	A Xfce panel
Name:		xfce4-panel
Version:	4.19.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/xfce4-panel/%{url_ver}/%{name}-%{version}.tar.bz2
# Upstream patches

# Mga patches

BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(cairo)
# Only optional
#BuildRequires:	pkgconfig(dbusmenu-gtk3-0.4)
BuildRequires:	pkgconfig(exo-2)
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(garcon-gtk3-1)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk-layer-shell-0)
BuildRequires:	pkgconfig(gtk+-x11-3.0)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4windowing-0) >= 4.19.1
BuildRequires:	pkgconfig(libxfce4windowingui-0) >= 4.19.1
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	pkgconfig(wayland-client)
Requires:	desktop-common-data
Requires:	%{_real_vendor}-xfce-config

# old gtk2 plugins
Obsoletes:	xfce4-embed-plugin < 1.6.0-5
Obsoletes:	xfce4-equake-plugin < 1.3.8.1-4
Obsoletes:	xfce4-hamster-plugin < 1.7-3
Obsoletes:	xfce4-hotcorner-plugin < 0.0.2-3
Obsoletes:	xfce4-linelight-plugin < 0.1.7-12
Obsoletes:	xfce4-mailwatch-plugin < 1.3.0-2
Obsoletes:	xfce4-quicklauncher-plugin < 1.9.4-13.git20120718.11
# merged in 4.15.4
Obsoletes:	xfce4-statusnotifier-plugin < 0.2.2-2

%description
The Xfce 4 Panel supports multiple panels, with many options
for their position, appearance, transparency and behavior.
There are many items available by default to full fit a panel,
like application launchers with detachable menus, a graphical pager,
a tasklist, a clock, a system tray, a show/hide desktop switcher,
and even more. It offers an easy way to add items using a dialog,
and to move items across different panels.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{libname}
Summary:        Panel library for the Xfce desktop environment
Group:          Graphical desktop/Xfce

%description -n %{libname}
Panel library for the Xfce desktop environment.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Obsoletes:      %{_lib}xfce4panel1.0-devel < 4.15.0

%description -n %{devname}
Development files and headers for %{name}.

%prep
%setup -q
%autopatch -p1

%build
# fix RPATH
%xdt_autogen
%configure \
	--disable-static
%make_build

%install
%make_install

# (tpg) this file is in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/panel/default.xml

%find_lang %{name}

# don't ship .la
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS NEWS ChangeLog README*
%doc migrate/default.xml
%dir %{_sysconfdir}/xdg/xfce4/panel
%dir %{_libdir}/xfce4/panel
%dir %{_libdir}/xfce4/panel/plugins
%dir %{_datadir}/xfce4/panel
%dir %{_datadir}/xfce4/panel/plugins
%{_bindir}/*
%{_libdir}/xfce4/panel/plugins/libactions.so
%{_libdir}/xfce4/panel/plugins/libapplicationsmenu.so
%{_libdir}/xfce4/panel/plugins/libclock.so
%{_libdir}/xfce4/panel/plugins/libdirectorymenu.so
%{_libdir}/xfce4/panel/plugins/liblauncher.so
%{_libdir}/xfce4/panel/plugins/libpager.so
%{_libdir}/xfce4/panel/plugins/libseparator.so
%{_libdir}/xfce4/panel/plugins/libshowdesktop.so
%{_libdir}/xfce4/panel/plugins/libsystray.so
%{_libdir}/xfce4/panel/plugins/libtasklist.so
%{_libdir}/xfce4/panel/plugins/libwindowmenu.so
%{_datadir}/xfce4/panel/plugins/actions.desktop
%{_datadir}/xfce4/panel/plugins/applicationsmenu.desktop
%{_datadir}/xfce4/panel/plugins/clock.desktop
%{_datadir}/xfce4/panel/plugins/directorymenu.desktop
%{_datadir}/xfce4/panel/plugins/launcher.desktop
%{_datadir}/xfce4/panel/plugins/pager.desktop
%{_datadir}/xfce4/panel/plugins/separator.desktop
%{_datadir}/xfce4/panel/plugins/showdesktop.desktop
%{_datadir}/xfce4/panel/plugins/systray.desktop
%{_datadir}/xfce4/panel/plugins/tasklist.desktop
%{_datadir}/xfce4/panel/plugins/windowmenu.desktop
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/org.xfce.panel.{*.,}{png,svg}
%{_libdir}/xfce4/panel/migrate
%{_libdir}/xfce4/panel/wrapper-*

%files -n %{girname}
%{_libdir}/girepository-1.0/Libxfce4panel-%{gmajor}.typelib

%files -n %{libname}
%{_libdir}/libxfce4panel-%{api}.so.%{major}{,.*}

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/libxfce4panel-%{api}/
%{_libdir}/libxfce4panel-%{api}.so
%{_libdir}/pkgconfig/libxfce4panel-%{api}.pc
%{_includedir}/xfce4/libxfce4panel-%{api}/
%{_datadir}/gir-1.0/Libxfce4panel-%{gmajor}.gir
%{_datadir}/vala/vapi/libxfce4panel-%{api}.{deps,vapi}
